org.eclipse.mat.ui.snapshot

## Class ImageHelper.ImageImageDescriptor

- java.lang.Object
- - ImageDescriptor
  - - org.eclipse.mat.ui.snapshot.ImageHelper.ImageImageDescriptor

Enclosing class:
  ImageHelper

    public static class ImageHelper.ImageImageDescriptor
    extends ImageDescriptor

### Constructor Summary

Constructors
Constructor and Description
`ImageImageDescriptor(Image image)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`ImageData` `getImageData()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageImageDescriptor

    public ImageImageDescriptor(Image image)

### Method Detail

#### getImageData

    public ImageData getImageData()

#### equals

    public boolean equals(Object obj)

#### hashCode

    public int hashCode()